<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div>
    <div
      v-if="isLoaderGetCustomerAttribute"
      class="m-loader m-loader--brand m-loader--lg"
      style="width: 30px; height: 30px; display: inline-block;"
    ></div>
    <div v-else>
      <div class="nt-box-body-filter" :class="{'pb-0': !hasFilterId}">
        <h5>Chọn bộ lọc</h5>
        <div style="height: 38px;">
          <filter-customer
            :filter_data="getCustomerFilters"
            :full_attributes="attributeFullForFilter"
            :total_items="totalCustomer"
            :filter_attributes="filterAttributesCustomer"
            :cache_attributes_filter="cacheForFilterAttributes"
            :filter_type="1"
            :filter_is_show_action="false"
            :filter_share_is_show="false"
            @show_filter="filterShow"
            @show_is_all_data="filterAllData"
            @start_filter="startFilter"
            @show_filter_id="showFilterGetId"
            @cancel_filter="cancelFilter"
          ></filter-customer>
        </div>
        <!-- <div
          class="form-control-feedback m--font-danger"
          v-if="!filterId"
        >Không được để trống trường này.</div>-->
      </div>
      <div
        class="form-control-feedback m--font-danger m--margin-bottom-10"
        v-if="server_errors && server_errors['filter_id'] || !hasFilterId"
      >Bộ lọc đã bị xoá, vui lòng chọn bộ lọc khác.</div>
      <div>
        Để tạo bộ lọc khác, khách hàng truy cập
        <router-link
          target="_blank"
          class="m-link m-link--primary nt-link"
          :to="{name : 'customers', params : {team_id : currentTeam.team_id} }"
        >tại đây</router-link>.
      </div>
      <div class="nt-box-body-filter-hr"></div>
      <h5 style="margin-bottom: 10px;">Thống kê theo kết quả lọc:</h5>
      <div class="row">
        <div class="col-md-4">
          Số lượng khách hàng:
          <span class="nt-simple-bold">{{ totalCustomer }}</span>
        </div>
        <div class="col-md-4">
          Số lượng email:
          <span class="nt-simple-bold">{{ totalEmailCustomer }}</span>
        </div>
      </div>
    </div>
    <loading-table :is_loader="isLoaderGetCountCustomer"></loading-table>
  </div>
</template>
